> ## Documentation Index
> Fetch the complete documentation index at: https://www.cometchat.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

> Deletes a tool by its unique name.

# Delete Tool

For the complete error reference, see [Error Guide](/rest-api/byo-ai-agents-apis/error-codes).


## OpenAPI

````yaml delete /ai-agents/tools/{name}
openapi: 3.0.0
info:
  title: AI Agents APIs
  description: API reference for CometChat AI Agents service
  version: '1.0'
servers:
  - url: https://{appId}.api-{region}.cometchat.io/v3
    variables:
      appId:
        default: appId
        description: (Required) App ID
      region:
        enum:
          - us
          - eu
          - in
        default: us
        description: Select Region
security: []
tags:
  - name: ai-agent
    description: ''
paths:
  /ai-agents/tools/{name}:
    delete:
      tags:
        - Tools
      summary: Delete Tool
      description: Deletes a tool by its unique name.
      operationId: ToolsController_deleteTool
      parameters:
        - name: name
          required: true
          in: path
          schema:
            type: string
      responses:
        '200':
          description: Tool deleted successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DeletedResponse'
              example:
                deleted: true
      security:
        - apiKey: []
components:
  schemas:
    DeletedResponse:
      type: object
      properties:
        deleted:
          type: boolean
          example: true
          description: Indicates whether the resource was deleted
      required:
        - deleted
  securitySchemes:
    apiKey:
      type: apiKey
      description: API Key (i.e. Rest API Key from the Dashboard).
      name: apikey
      in: header

````